Package org.drinkless.tdlib

# Class TdApi.UpdateDeleteMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateDeleteMessages

Enclosing class:
  `TdApi`

public static class TdApi.UpdateDeleteMessages extends TdApi.Update
Some messages were deleted.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `fromCache`
  True, if the messages are deleted only from the cache and can possibly be retrieved again in the future.
  `boolean`
  `isPermanent`
  True, if the messages are permanently deleted by a user (as opposed to just becoming inaccessible).
  `long[]`
  `messageIds`
  Identifiers of the deleted messages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateDeleteMessages()`
  Some messages were deleted.
  `UpdateDeleteMessages(long chatId, long[] messageIds, boolean isPermanent, boolean fromCache)`
  Some messages were deleted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageIds

    public long[] messageIds
    Identifiers of the deleted messages.

  - ### isPermanent

    public boolean isPermanent
    True, if the messages are permanently deleted by a user (as opposed to just becoming inaccessible).

  - ### fromCache

    public boolean fromCache
    True, if the messages are deleted only from the cache and can possibly be retrieved again in the future.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateDeleteMessages

    public UpdateDeleteMessages()
    Some messages were deleted.

  - ### UpdateDeleteMessages

    public UpdateDeleteMessages(long chatId, long[] messageIds, boolean isPermanent, boolean fromCache)
    Some messages were deleted.
    Parameters:
      `chatId` - Chat identifier.
      `messageIds` - Identifiers of the deleted messages.
      `isPermanent` - True, if the messages are permanently deleted by a user (as opposed to just becoming inaccessible).
      `fromCache` - True, if the messages are deleted only from the cache and can possibly be retrieved again in the future.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR